Get app integration authenticate URLs

Deprecated

Gets the app integration authenticate URLs.

get

Get app integration authenticate URLs for the given callback URL, return URL, device code, and type response.

Query parameters
callbackURLstringRequired

The callback URL. It is the URL that the user will be redirected to after logging in.

returnURLstringRequired

The return URL. It is the URL that the user will be redirected to after canceling the login.

deviceCodestringOptional

The device code. It is the code that the user will be detected as a device.

typeResponsestring · enumOptional

This enum represents the response client for the AppSettingAuthenticationTypeResponseClient.

Possible values:
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/users/auth/app-integration/authenticate-urls

Last updated